from typing import Optional

from api_graphql.abc.collection_filter_abc import CollectionFilterABC
from core.typing import T, DateFilterOperator


class DateCollectionFilter(CollectionFilterABC):

    def __init__(
        self,
        obj: Optional[dict],
        op: Optional[DateFilterOperator] = None,
        source_value: Optional[T] = None,
    ):
        CollectionFilterABC.__init__(self, obj, op, source_value)
